# Get a notification channel

`GET https://budget.public.global.vexxhost.net/v1/notification_channels/{channel_id}`

Authentication: `X-Auth-Token: <token>` header. See https://docs.vexxhost.com/identity/authentication.md.

## Parameters

- `channel_id` (path, string, required): Notification channel identifier.

## Responses

### 200 — OK

`application/json`:

- `address` (string)
- `created_at` (string, date-time, required)
- `created_by` (string, required)
- `id` (string, required)
- `name` (string, required)
- `project_id` (string, required)
- `secret` (string): A webhook's signing secret. It is returned only when the channel is created and when the secret is rotated.
- `status` (string, one of `pending_confirmation`, `confirmed`, required)
- `type` (string, required)
- `url` (string)

### 400 — Bad Request

`application/problem+json`:

- `detail` (string): A human-readable explanation specific to this occurrence of the problem. Example: `Property foo is required but is missing.`.
- `errors` (array of object, nullable): Optional list of individual error details
  - `location` (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'
  - `message` (string): Error message text
  - `value` (object): The value at the given location
- `instance` (string, uri): A URI reference that identifies the specific occurrence of the problem. Example: `https://example.com/error-log/abc123`.
- `status` (integer, int64): HTTP status code Example: `400`.
- `title` (string): A short, human-readable summary of the problem type. This value should not change between occurrences of the error. Example: `Bad Request`.
- `type` (string, uri): A URI reference to human-readable documentation for the error. Example: `https://example.com/errors/example`.

### 401 — Unauthorized

Same `application/problem+json` body as 400.

### 403 — Forbidden

Same `application/problem+json` body as 400.

### 404 — Not Found

Same `application/problem+json` body as 400.

### 409 — Conflict

Same `application/problem+json` body as 400.

### 422 — Unprocessable Entity

Same `application/problem+json` body as 400.

### 500 — Internal Server Error

Same `application/problem+json` body as 400.

### 503 — Service Unavailable

Same `application/problem+json` body as 400.

Full schema: https://docs.vexxhost.com/budgets/openapi.json
